Apps API · KB Uploads
KB Uploads: 2 endpoints
POST /api/v1/uploads/finalize
Finalize upload
Scope: kb:file:write · Called with: appToken · operationId: finalize-upload
Required app scope: kb:file:write.
Finalizes a prepared file upload. Response wrapped in standard envelope.
Request body
application/json · FinalizeUploadRequestBody
| Field | Type | Required | Description |
|---|---|---|---|
upload_token |
string | yes | Opaque upload token |
Responses
200OK —application/json·DataResponseTreeNodeItemBodydefaultError —application/problem+json·D8Error
POST /api/v1/uploads/prepare
Prepare upload
Scope: kb:file:write · Called with: appToken · operationId: prepare-upload
Required app scope: kb:file:write.
Prepares a direct file upload. Response wrapped in standard envelope.
Request body
application/json · PrepareUploadRequestBody
| Field | Type | Required | Description |
|---|---|---|---|
content_type |
string | yes | Content type |
filename |
string | yes | File name |
parent_id |
string (uuid) | Parent folder node UUID | |
size_bytes |
integer (int64) | yes | File size in bytes |
Responses
200OK —application/json·DataResponsePrepareUploadItemBodydefaultError —application/problem+json·D8Error
